# Uses of Class
org.sunflow.image.Bitmap

Packages that use Bitmap
Package
Description
org.sunflow.core
org.sunflow.image
org.sunflow.image.formats
org.sunflow.image.readers

## Uses of Bitmap in org.sunflow.core

Methods in org.sunflow.core that return Bitmap
Modifier and Type
Method
Description
`Bitmap`
Texture.`getBitmap()`

## Uses of Bitmap in org.sunflow.image

Methods in org.sunflow.image that return Bitmap
Modifier and Type
Method
Description
`Bitmap`
BitmapReader.`load(String filename, boolean isLinear)`
Load the specified filename.

## Uses of Bitmap in org.sunflow.image.formats

Subclasses of Bitmap in org.sunflow.image.formats
Modifier and Type
Class
Description
`class`
`BitmapBlack`
`class`
`BitmapG8`
`class`
`BitmapGA8`
`class`
`BitmapRGB8`
`class`
`BitmapRGBA8`
`class`
`BitmapRGBE`
`class`
`BitmapXYZ`
`class`
`GenericBitmap`
This is a generic and inefficient bitmap format which may be used for debugging purposes (dumping small images), when memory usage is not a concern.

## Uses of Bitmap in org.sunflow.image.readers

Methods in org.sunflow.image.readers that return Bitmap
Modifier and Type
Method
Description
`Bitmap`
BMPBitmapReader.`load(String filename, boolean isLinear)`
`Bitmap`
HDRBitmapReader.`load(String filename, boolean isLinear)`
`Bitmap`
IGIBitmapReader.`load(String filename, boolean isLinear)`
`Bitmap`
JPGBitmapReader.`load(String filename, boolean isLinear)`
`Bitmap`
PNGBitmapReader.`load(String filename, boolean isLinear)`
`Bitmap`
TGABitmapReader.`load(String filename, boolean isLinear)`